Comment 56 for bug 1394368

Jukka,

For the moment : assuming you have the same harware as me as far as Bluetooth is concerned (we both have a Acer Aspire V3-371).

The right firmware files for this chipset have normally been found (thanks arty). However, unfortunately, they won't be included in Ubuntu for the moment for licensing issues.

A patch exists to make the driver recognise the chipset and was included in upstream kernel (version 4.2). It probably won't reach Ubuntu until next release.

Here are some commands to be entered in a terminal to work around the issue. They should download and install the right firrmware files for your Bluetooth chipset and a patched driver which recognises your chipset.

wget https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1394368/+attachment/4264502/+files/ar9462-dkms_1.5.1_all.deb
wget https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453553/+files/AthrBT_0x11020100.dfu
wget https://bugs.launchpad.net/ubuntu/+source/linux-lts-utopic/+bug/1462614/+attachment/4453554/+files/ramps_0x11020100_40.dfu
sudo mv AthrBT_0x11020100.dfu /lib/firmware/ar3k/
sudo mv ramps_0x11020100_40.dfu /lib/firmware/ar3k/
sudo dpkg -i ar9462-dkms_1.5.1_all.deb
sudo apt-get -f install

You might need to reboot. Please tell us if that works.